as.matrix.reStruct {nlme} | R Documentation

## Matrices of an reStruct Object

### Description

This method function extracts the positive-definite matrices corresponding to the `pdMat` elements of `object`.

### Usage

    ## S3 method for class 'reStruct':
    as.matrix(x)

### Arguments

`x` | an object inheriting from class `reStruct`, representing a random effects structure and consisting of a list of `pdMat` objects.

### Value

a list with components given by the positive-definite matrices corresponding to the elements of `object`.

### Author(s)

Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates bates@stat.wisc.edu

### See Also

`as.matrix.pdMat`, `reStruct`, `pdMat`

### Examples

    data(Orthodont)
    rs1 <- reStruct(pdSymm(diag(3), ~age+Sex, data = Orthodont))
    as.matrix(rs1)

[Package Contents]